* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    overflow-x: hidden; 
    background: linear-gradient(to right, #94c4dc, #e0e6ed, #ffffff, #e0e6ed, #9ac5db);
    font-family: Trebuchet MS, sans-serif;
}

/* ---------------------header----------------------------- */
header {
    background-color: #000000;
    color: #fff;
    padding: 10px 0;
    top: 0;
    width: 100%;
    z-index: 1000;
    position: fixed;
}
  
.navbar-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}
  
.logo-left, .logo-right {
    width: 200px; 
    margin: 0; 
    padding-right: 20px;
}
  
nav {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    padding-right: 20px;
}
  
.menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 60px;
    font-weight: 600;
    font-family: Trebuchet MS, sans-serif;
}
  
.menu li {
    display: inline;
}
  
.menu li a {
    text-decoration: none;
    color: #ffffff;
    font-size: 16px;
    transition: color 0.3s;
}
  
.menu-toggle {
    display: none; /* Hidden by default */
    background: none;
    border: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
}

.menu li a:hover {
    color: #4dc1e7; /* Text color on hover */
}

/* _______________Gallery__________________________ */

/* Banner */

#event-gallery {
    background: linear-gradient(to right, #a8c8d8, #e0e6ed, #ffffff, #e0e6ed, #a8c8d8);
    padding-top: 120px;
    padding-bottom: 30px;
    text-align: center;
}

#event-gallery h2 {
    color: #13b6f1;
    font-size: 45px;
}

#event-gallery {
    padding-bottom: 60px;
}

.event {
    max-width: 70%;
    margin: 0 auto;
    text-align: justify;
}

.event h2 {
    font-size: 32px; /* Reduced font size */
    color: #25b4e8;
    text-align: center;
    margin-bottom: 20px;
}

.event p {
    font-size: 17px; /* Reduced font size */
    line-height: 1.6;
    margin-bottom: 20px;
}

.image-row {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.image-slider {
    display: flex;
    transition: transform 0.5s ease;
}

.image-container {
    display: flex;
}

.image-container img {
    width: 100%;
    height: auto;
    max-width: 300px;
    max-height: 250px;
    margin-right: 10px;
    border-radius: 5px;
    transition: transform 0.3s ease;
}

.image-container img:hover {
    transform: scale(1.05); /* Example of adding a hover effect */
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: auto;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    border-radius: 0 3px 3px 0;
    user-select: none;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
    transition: background-color 0.3s ease;
}

.prev {
    left: 0;
    border-radius: 3px 0 0 3px;
}

.next {
    right: 0;
    border-radius: 0 3px 3px 0;
}

.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

/* Modal for Image Zoom */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 600px;
}

.modal-content, #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from { transform: scale(0); }
    to { transform: scale(1); }
}

.close {
    position: absolute;
    top: 95px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}


.pics {
    background: linear-gradient(135deg, #014c96, #04b2f1, #055bb0);
    color: white;
    align-items: center;
    margin: 50px auto;
    font-family: 'Montserrat', sans-serif;
    padding: 16px 32px;
    text-align: center;
    width: 30%;
    font-size: 17px;
    border-radius: 25px;
    animation: pop-up 0.7s ease-in-out infinite alternate;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3); /* Shadow effect */
    transition: all 0.3s ease; /* Smooth transition for hover effects */
}

@keyframes pop-up {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.1);
    }
}

/* Footer */
footer {
    background-color: #020202;
    color: white;
    text-align: center;
}

.icons {
    background-color: #181616;
    padding-bottom: 5px;
    padding-top: 5px;
    align-items: center;
}

.icons a {
    margin: 10px 10px;
}

.text {
    display: flex;
    justify-content: space-around;
    padding-bottom: 20px;
    padding-top: 30px;
    align-items: justify;
}

.column {
    width: 30%; /* Adjust width as needed */
    text-align: left;
    line-height: 30px;
    font-size: 15px;
    font-family: 'Trebuchet MS', sans-serif;
}

.top {
    position: fixed;
    bottom: 2.1rem;
    right: 2.1rem;
}

.back-home {
    position: fixed;
    bottom: 6.1rem;
    right: 2.1rem;
}

.top i, .back-home i {
    color: #117fa7;
    background: #0ab7e7;
    font-size: 35px;
    padding: 7px;
    border-radius: 2rem;
}


/* Responsive code */
@media (max-width: 600px) {

    main {
        padding-top: 30px; /* Adjust based on header height for smaller screens */
    }
    
    header {
        padding: 5px 0;
        background-color: black;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 1000;
    }
  
    .navbar-container {
        flex-direction: column;
        align-items: flex-start;
        padding: 0px 30px; /* Adjust padding to reduce overall size */
    }
  
    .logo-left, .logo-right {
        width: 120px; /* Reduce the width of the logos */
        margin-bottom: 5px;
    }
  
    .logo-right {
        width: 120px; 
        margin-bottom: 5px;
        padding-left: 15px;
    }
  
    nav {
        flex-direction: column;
        align-items: flex-start; /* Align the menu items to the right */
        width: 100%;
    }
  
    .menu {
        display: none;
        flex-direction: column;
        align-items: flex-end; /* Align menu items to the right */
        width: 100%;
        gap: 30px;
    }
  
    .menu li {
        width: 100%;
        border-top: 1px solid #fff;
        text-align: left;
        padding: 5px;
        padding-top: 20px; /* Adjust padding to reduce overall size */
        padding-left: 10px; /* Add padding from the left */
    }
  
    .menu li:first-child {
        border-top: none;
    }
  
    .menu-toggle {
        padding-right: 15px;
        padding-left: 15px; /* Adjust the padding-right */
        display: inline-block;
        align-self: flex-end;
    }
  
    .show-menu {
        display: flex;
        padding-left: 0px;
        padding-bottom: 30px;
    }
  
    .footer-visible {
        max-width: 100%;
    }
    
    footer .text {
        flex-direction: column;
        max-width: 80%;
        align-items: center;
        text-align: center;
    }
  
    footer .column {
        margin: 5px 0;
        padding: 10px;
        width: 80%;
        font-size: 11px;
        padding-left: 70px;
        text-align: center;
        line-height: 20px;
    }
  
    footer .icons img {
        width: 25px;
        margin: 5px;
    }
  
    #gallery-banner h1 {
        font-size: 35px;
    }
  
    .event h2 {
        font-size: 30px;
    }
  
    .event p {
        font-size: 14px; 
    }
  
    .top i, .back-home i {
        font-size: 25px;
    }

    .image-container img {
        width: 100%;
        height: auto;
        max-width: 100%;
        max-height: 100%;
    }
    
    .close {
        top: 125px;
        font-size: 20px;
    }

    .modal-content {
        margin-top: 90px;
        display: block;
        width: 80%;
        max-width: 600px;
    }

    .modal-content, #caption {
        animation-name: zoom;
        animation-duration: 0.6s;
    }

    .pics {
        padding: 10px 24px;
        margin: 25px 0;
        font-size: 14px;
        width: 99%;
    }
}